GET/projects/api/v3/quote/{id}.json

Get a quote by ID.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Query Params

  • Name
    includeSectionItems
    Type
    boolean
    Description

    include section items

    Default
    false
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • users
    • companies
    • projects
    • currencies

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    QuoteResponse contains information about a specific quote.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Type
    object
    Schema
    Description
    404 Not Found
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

QuoteResponse
{  "included": {    "companies": {      "additionalProp": {        "accounts": 0,        "addressOne": "string",        "addressTwo": "string",        "budgetDistribution": [          {            "color": "string",            "companyId": 0,            "count": 0,            "from": 0,            "to": 0          }        ],        "canSeePrivate": true,        "cid": "string",